<?xml version='1.0' encoding='UTF-8'?>
<!-- Style RSS so that it is readable. -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:msdndomain="http://msdn.microsoft.com/aboutmsdn/rss/domains"
	version="1.0"
>

<xsl:template match='/rss'>
	<html>
		<head>
			<title>RSS Feed for <xsl:value-of select='channel/title'/></title>
			<style type="text/css">
				body { margin-top:10px; margin-bottom:25px; text-align:center; font-family: verdana, sans-serif; font-size: 80%; line-height: 1.45em; } 
				#block { margin:0px auto; /*width:600px;*/ text-align:left; }
				p { padding-top: 0px; margin-top: 0px; }
				h1 { font-size: 120%; padding-bottom: 0px; margin-bottom: 0px; }
				h2 { font-size: 100%; margin-bottom: 0px; width=100%; background-color:silver; } 
				h3 { font-size: 100%; margin-bottom: 0px;  } 
				td { font-size:80%; background-color:white}
				th { font-size:80%; background-color:silver}
				table {background-color:black}
				A { COLOR: blue; TEXT-DECORATION: none } 
				A:hover { COLOR: blue; TEXT-DECORATION: underline } 
			</style>
		</head>
		<body avisited="">
			<div id='block'>
			<h1>RSS Feed for <xsl:value-of select='channel/title'/></h1>
			<hr />
			<a name="listTable"></a>
			<h3>Events in this list</h3> <br/>
			    <table  cellspacing="1" border="0" cellpadding="2" width="80%" align="center">
			      <tr bgcolor="silver">
				<th>Event</th>
				<th>Date</th>
			      </tr>
			      <xsl:for-each select="channel/item">
			      <tr>
				<td><a>
					<xsl:attribute name='href'>#<xsl:value-of select="guid"/></xsl:attribute>
					<xsl:value-of select="title"/>
				</a></td>
				<td><xsl:value-of select="pubDate"/></td>
			      </tr>
			      </xsl:for-each>
			    </table>

			<xsl:apply-templates select='channel/item' />
			</div>
		</body>
	</html>
</xsl:template>

<xsl:template match='item'>
		<h2>
			<a name='{guid}'></a>
			<xsl:value-of select='title'/>
		</h2>
		<p>
			<xsl:value-of select='description' disable-output-escaping='yes' />
			<br/><a href="#listTable">Back to top</a>
			<HR />
		</p>
</xsl:template>

<xsl:template match='category'>
		<xsl:value-of select='.'/> |  
</xsl:template>


</xsl:stylesheet>